#
# spec file for package medusa (Version 0.5.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-devel esound esound-devel gconf gettext glib glib-devel gnome-libs gnome-libs-devel gnome-vfs gnome-vfs-devel gtk gtk-devel libghttp libghttp-devel libgtop libgtop-devel libxml libxml-devel libz oaf oaf-devel orbit orbit-devel popt xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-devel bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gconf gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-vfs gnome-vfs-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libghttp libghttp-devel libgtop libgtop-devel libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         medusa
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    LGPL
Group:	      X11/GNOME/Base
Requires:     glib >= 1.2.8
Requires:     gnome-vfs >= 0.4
Requires:     gconf 
Autoreqprov:  on
Version:      0.5.1
Release:      110
Summary:      An indexed filesearch software
Source:	      ftp://ftp.gnome.org/pub/GNOME/unstable/sources/medusa/medusa-%{version}.tar.bz2
BuildRoot:    /var/tmp/build-%{name}-root

%description
Medusa is software that allows you to quickly search your system for
particular types of files, using an index.

Authors:
--------
    Rebecca Schulman <rebecka@eazel.com>

SuSE series: ap

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=%{sysconfdir}

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir --parents $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
mkdir --parents $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
mv $RPM_BUILD_ROOT%{sysconfdir}/profile.d/* \
   $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
mv $RPM_BUILD_ROOT%{sysconfdir}/cron.daily/* \
   $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/profile.d/*
%config %{_sysconfdir}/cron.daily/*
%config %{sysconfdir}/vfs/modules/*
%config %{sysconfdir}/medusa
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/include/*

%changelog -n medusa
* Tue Jun 19 2001 - hhetter@suse.de
- update to version 0.5.1
* Mon Apr 02 2001 - hhetter@suse.de
- update to version 0.5.0
* Tue Mar 27 2001 - ro@suse.de
- fixed buildroot (wrong .la file was generated previously)
* Mon Mar 05 2001 - egger@suse.de
- Install the cron.daily scripts and profiles
  into the correct place.
* Sun Mar 04 2001 - egger@suse.de
- Updated to version 0.3.2.
* Wed Feb 21 2001 - egger@suse.de
- Use libghttp and libghttp-devel in #neededforbuild instead
  of old names.
* Fri Feb 16 2001 - egger@suse.de
- Updated to version 0.3.0.
* Tue Nov 28 2000 - egger@suse.de
- Updated to 0.2.2.
- Fixed specfile.
- Add BuildRoot.
* Tue Nov 07 2000 - kukuk@suse.de
- fixed neededforbuild: gnvfs -> gnomve-vfs
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild: add esound-devel
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 24 2000 - egger@suse.de
- Use the splitted oafdev and bonobod in #neededforbuild.
* Tue Sep 19 2000 - egger@suse.de
- Fixed spec a little.
- Proofbuild on i386.
* Fri Sep 01 2000 - egger@suse.de
- Initial SuSE package.
